Event Linked Lens Summary
curl --request GET \
--url https://api.example.com/api/graph/v1/decision-support/events/{event_id}/revisions/{event_revision}/summaryimport requests
url = "https://api.example.com/api/graph/v1/decision-support/events/{event_id}/revisions/{event_revision}/summary"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/graph/v1/decision-support/events/{event_id}/revisions/{event_revision}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contract_version": "event-linked-decision-lens-v1",
"status": "available",
"reason": "<string>",
"binding": {
"event_id": "<string>",
"event_revision": 2,
"pattern_version": 2,
"symbol": "<string>",
"grain": "<string>",
"pattern_id": "<string>",
"family": "<string>",
"direction": 123,
"producer_time": "2023-11-07T05:31:56Z",
"registry": {
"version": "<string>",
"hash": "<string>"
}
},
"lifecycle": {
"id": "<string>",
"state": "<string>",
"reason": "<string>",
"state_time": "2023-11-07T05:31:56Z",
"replacement_event_id": "<string>"
},
"currentness": {
"status": "current",
"as_of": "2023-11-07T05:31:56Z"
},
"artifact": {
"id": "<string>",
"revision": 2,
"event_ref": {
"id": "<string>",
"revision": 2
},
"insight_ref": {
"id": "<string>",
"revision": 2
},
"generated_at": "2023-11-07T05:31:56Z",
"as_of": "2023-11-07T05:31:56Z",
"freshness": {
"status": "current",
"observed_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
},
"summary": {
"title": "<string>",
"summary": "<string>",
"direction": "<string>",
"strength": 0.5,
"contradiction_count": 1,
"veto_count": 1
},
"provenance": {}
},
"review_eligible": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Decision Support
Event Linked Lens Summary
GET
/
api
/
graph
/
v1
/
decision-support
/
events
/
{event_id}
/
revisions
/
{event_revision}
/
summary
Event Linked Lens Summary
Query Parameters
Required range:
5 <= x <= 120Response
Successful Response
Allowed value:
"event-linked-decision-lens-v1"Available options:
available, not_available_yet, not_current, no_artifact, superseded, stale Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes